Package org.jfree.report.modules.misc.survey

## Class SurveyScaleExpression

- java.lang.Object
- - org.jfree.report.expressions.AbstractExpression
  - - org.jfree.report.expressions.ColumnAggregationExpression
    - - org.jfree.report.modules.misc.survey.SurveyScaleExpression

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `Expression`

      public class SurveyScaleExpression
      extends ColumnAggregationExpression
      implements java.io.Serializable

  An expression that takes values from one or more fields in the current row of the report, builds a `SurveyScale` instance that will present those values, and returns that instance as the expression result. The fields used by the expression are defined using properties named '0', '1', ... 'N', which need to be specified after the expression is created. These fields should contain `Number` instances.The `SurveyScale` class implements the Drawable interface, so it can be displayed using a DrawableElement.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SurveyScaleExpression()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `computeValue()` | Returns a `SurveyScale` instance that is set up to display the values in the current row.
    `protected int` | `getFieldListParameterPosition()` |
    `int` | `getHighestValue()` |
    `int` | `getLowestValue()` |
    `java.awt.Shape` | `getOverrideShape()` | Returns the override shape.
    `java.lang.Number` | `getRangeLowerBound()` |
    `java.awt.Paint` | `getRangePaint()` |
    `java.lang.Number` | `getRangeUpperBound()` |
    `boolean` | `isOverrideShapeFilled()` |
    `void` | `setHighestValue​(int highestValue)` |
    `void` | `setLowestValue​(int lowestValue)` |
    `void` | `setOverrideShape​(java.awt.Shape shape)` | Sets the override shape.
    `void` | `setOverrideShapeFilled​(boolean b)` | Sets a flag that controls whether the override shape is filled or not.
    `void` | `setRangeLowerBound​(java.lang.Number rangeLowerBound)` |
    `void` | `setRangePaint​(java.awt.Paint rangePaint)` |
    `void` | `setRangeUpperBound​(java.lang.Number rangeUpperBound)` |

    - ### Methods inherited from class org.jfree.report.expressions.ColumnAggregationExpression

      `getFieldValues, getFieldValues`

    - ### Methods inherited from class org.jfree.report.expressions.AbstractExpression

      `clone, getDataRow, getInstance, getName, getParentLocale, getReportConfiguration, getResourceBundleFactory, getRuntime, isDeepTraversing, isPrecompute, isPreserve, setDeepTraversing, setName, setPrecompute, setPreserve, setRuntime`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SurveyScaleExpression

          public SurveyScaleExpression()

  - ### Method Detail

    - #### getFieldListParameterPosition

          protected int getFieldListParameterPosition()

      Specified by:
        `getFieldListParameterPosition` in class `ColumnAggregationExpression`

    - #### getRangeLowerBound

          public java.lang.Number getRangeLowerBound()

    - #### setRangeLowerBound

          public void setRangeLowerBound​(java.lang.Number rangeLowerBound)

    - #### getRangeUpperBound

          public java.lang.Number getRangeUpperBound()

    - #### setRangeUpperBound

          public void setRangeUpperBound​(java.lang.Number rangeUpperBound)

    - #### getLowestValue

          public int getLowestValue()

    - #### setLowestValue

          public void setLowestValue​(int lowestValue)

    - #### getHighestValue

          public int getHighestValue()

    - #### setHighestValue

          public void setHighestValue​(int highestValue)

    - #### getOverrideShape

          public java.awt.Shape getOverrideShape()

      Returns the override shape.
      Returns:
        The override shape (possibly `null`).

    - #### setOverrideShape

          public void setOverrideShape​(java.awt.Shape shape)

      Sets the override shape. The `SurveyScale` is created with a set of default shapes, this method allows you to clearFromParent the *first* shape if you need to (leave it as `null` otherwise).
      Parameters:
        `shape` - the shape (`null` permitted).

    - #### setOverrideShapeFilled

          public void setOverrideShapeFilled​(boolean b)

      Sets a flag that controls whether the override shape is filled or not.
      Parameters:
        `b` - the flag.

    - #### computeValue

          public java.lang.Object computeValue()
                                        throws DataSourceException

      Returns a `SurveyScale` instance that is set up to display the values in the current row.
      Specified by:
        `computeValue` in interface `Expression`
      Returns:
        a `SurveyScale` instance.
      Throws:
        `DataSourceException`

    - #### isOverrideShapeFilled

          public boolean isOverrideShapeFilled()

    - #### getRangePaint

          public java.awt.Paint getRangePaint()

    - #### setRangePaint

          public void setRangePaint​(java.awt.Paint rangePaint)